# DirectoryIterator::getMTime

(PHP 5, PHP 7)

DirectoryIterator::getMTime — Get last modification time of current DirectoryIterator item

### Description

public DirectoryIterator::getMTime ( void ) : int

Get the last modification time of the current DirectoryIterator item, as a Unix timestamp.

### Parameters

This function has no parameters.

### Return Values

The last modification time of the file, as a Unix timestamp.

### Examples

Example #1 A DirectoryIterator::getMTime() example

Displays a list of the files in the directory of the script and their last modified times.

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isFile()) {
echo $fileinfo->getFilename() . " " . $fileinfo->getMTime() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg 1240047118
    banana.jpg 1240065176
    index.php 1240047208
    pear.jpg 12240047979

### See Also

- DirectoryIterator::getATime() - Get last access time of the current DirectoryIterator item
- DirectoryIterator::getCTime() - Get inode change time of the current DirectoryIterator item
- filemtime() - Gets file modification time